Legacy (v0)
Duplicate an event
Creates a copy of one of the company’s events and returns the new event. Requires a company token with permission to update events. Returns 404 when the event does not belong to the company and 422 when the copy cannot be saved.
POST
/
api
/
company
/
events
/
{id}
/
duplicate
Duplicate an event
curl --request POST \
--url https://api.fluid.app/api/company/events/{id}/duplicate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/events/{id}/duplicate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/events/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/events/{id}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/events/{id}/duplicate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/events/{id}/duplicate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/events/{id}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 7351,
"title": "Scranton Branch Sales Kickoff",
"description": {
"id": 912051,
"name": "description",
"body": "<p>Quarterly kickoff for the Scranton sales team, with Q4 targets and the new paper line.</p>",
"locale": null,
"record_type": "Event",
"record_id": 7351,
"created_at": "2026-09-16T11:20:03Z",
"updated_at": "2026-09-16T11:20:03Z"
},
"color": "#1F4E79",
"url": "https://shop.dundermifflin.com/events/scranton-sales-kickoff",
"start": "2026-10-05T14:00:00Z",
"end": "2026-10-05T16:00:00Z",
"active": true,
"venue": "Conference Room, 1725 Slough Avenue, Scranton, PA",
"user_id": 20977,
"notification_sent_at": null,
"send_notification": true,
"time_zone": "EDT",
"canonical_time_zone": "America/New_York",
"is_all_day": false,
"status": null,
"image_url": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff-thumb.jpg",
"countries": [
"US"
],
"images": [
{
"id": 5518,
"position": 1,
"mini": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff-mini.jpg",
"detail": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff-detail.jpg",
"full": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff.jpg"
}
]
}{
"message": "<string>"
}Response
Created
A company event.
⌘I
Duplicate an event
curl --request POST \
--url https://api.fluid.app/api/company/events/{id}/duplicate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/events/{id}/duplicate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/events/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/events/{id}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/events/{id}/duplicate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/events/{id}/duplicate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/events/{id}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 7351,
"title": "Scranton Branch Sales Kickoff",
"description": {
"id": 912051,
"name": "description",
"body": "<p>Quarterly kickoff for the Scranton sales team, with Q4 targets and the new paper line.</p>",
"locale": null,
"record_type": "Event",
"record_id": 7351,
"created_at": "2026-09-16T11:20:03Z",
"updated_at": "2026-09-16T11:20:03Z"
},
"color": "#1F4E79",
"url": "https://shop.dundermifflin.com/events/scranton-sales-kickoff",
"start": "2026-10-05T14:00:00Z",
"end": "2026-10-05T16:00:00Z",
"active": true,
"venue": "Conference Room, 1725 Slough Avenue, Scranton, PA",
"user_id": 20977,
"notification_sent_at": null,
"send_notification": true,
"time_zone": "EDT",
"canonical_time_zone": "America/New_York",
"is_all_day": false,
"status": null,
"image_url": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff-thumb.jpg",
"countries": [
"US"
],
"images": [
{
"id": 5518,
"position": 1,
"mini": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff-mini.jpg",
"detail": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff-detail.jpg",
"full": "https://cdn.fluid.app/dunder-mifflin/events/sales-kickoff.jpg"
}
]
}{
"message": "<string>"
}